import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/*
 * InitInfoRW.java
 *
 * Created on 2008/09/14, 7:09
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 *
 * @author jinpu
 */
public class InitInfoRW {
    
    private static final String DEF_IMG_WIDTH = "IMG_WIDTH=";
    private static final String DEF_IMG_HIGHT = "IMG_HIGHT=";
    private static final String DEF_IMG_SOURCE_URL = "IMG_SOURCE_URL=";
    
    private String img_width;
    private String img_hight;
    private String img_source_url;
    
    private File inifile;
    
    /** Creates a new instance of InitInfoRW */
    public InitInfoRW()
        throws IOException
    {
        img_width = new String();
        img_hight = new String();
        img_source_url = new String();
        
        inifile = new File("setting.ini");
        
        if ( inifile.exists() == false ) {
            System.out.println("Inifile Create!!");
            inifile.createNewFile();
        }
    }
    
    public String getImgWidth()
    {
        System.out.println("IniInfo getImgWidth execute!!");
        System.out.println("img_width = " + img_width);
        return img_width;
    }

    public void setImgWidth(String imgwidth)
    {
        this.img_width = imgwidth;
    }
    
    public String getImgHight()
    {
        System.out.println("IniInfo getImgHight execute!!");
        System.out.println("img_hight = " + img_hight);
        return img_hight;
    }

    public void setImgHight(String imghight)
    {
        this.img_hight = imghight;
    }
    
    public String getImgSourceUrl()
    {
        System.out.println("IniInfo getImgSourceUrl execute!!");
        System.out.println("img_source_url = " + img_source_url);
        return img_source_url;
    }

    public void setImgSourceUrl(String imgsourceurl)
    {
        this.img_source_url = imgsourceurl;
    }
    
    public void writeInfo()
        throws IOException,FileNotFoundException
    {
        FileOutputStream fout = new FileOutputStream( inifile, false);
        OutputStreamWriter writer = new OutputStreamWriter( fout );
        fout.write(DEF_IMG_SOURCE_URL.getBytes());
        fout.write( (img_source_url + "\n").getBytes());
        fout.write(DEF_IMG_WIDTH.getBytes());
        fout.write( (img_width + "\n").getBytes());
        fout.write(DEF_IMG_HIGHT.getBytes());
        fout.write( (img_hight + "\n").getBytes());
        fout.flush();
        fout.close();
        
        System.out.println("Inifile Write Complete!!");
    }
    
    public void readInfo()
        throws IOException,FileNotFoundException
    {
        byte[] buf = new byte[1024];
        int readsize = 0;

        ByteArrayOutputStream bufstm = new ByteArrayOutputStream();
        bufstm.reset();
        FileInputStream fin = new FileInputStream(inifile);
        while( (readsize = (fin.read(buf))) != -1 ) {
            bufstm.write(buf, 0, readsize);
        }
        String strValue = new String(bufstm.toByteArray(), "Shift-Jis");   
        System.out.println("Inifile Read Complete!!");
        
        Pattern ptn = null;
        Matcher matchinfo = null;
                
        ptn = Pattern.compile( DEF_IMG_SOURCE_URL + "([^\\n]*)");
        matchinfo = ptn.matcher(strValue);
        if( matchinfo.find() ) {
            img_source_url = matchinfo.group(1);
            System.out.println("Inifile img_source_url Read OK!!");
            System.out.println("img_source_url = " + img_source_url + " !!");
        }

        ptn = Pattern.compile( DEF_IMG_WIDTH + "([^\\n]*)");
        matchinfo = ptn.matcher(strValue);
        if( matchinfo.find() ) {
            img_width = matchinfo.group(1);
            System.out.println("Inifile img_width Read OK!!");
            System.out.println("img_width = " + img_width + " !!");
        }
 
        ptn = Pattern.compile( DEF_IMG_HIGHT + "([^\\n]*)");
        matchinfo = ptn.matcher(strValue);
        if( matchinfo.find() ) {
            img_hight = matchinfo.group(1);
            System.out.println("Inifile img_hight Read OK!!");
            System.out.println("img_hight = " + img_hight + " !!");
        }
   }
}
